CREATE OR REPLACE FORCE VIEW "SYSADM"."FXINV001" ("INVOICE_ID"
  , "INVOICE_DATE", "CUSTOMER_PO_REF", "TAX_ID_NUMBER", "CUSTOMER_ID", "ADDR_1"
  , "ADDR_2", "ADDR_3", "CITY", "STATE", "ZIPCODE", "COUNTRY", "NAME",
  "BILL_TO_NAME", "BILL_TO_ADDR_1", "BILL_TO_ADDR_2", "BILL_TO_ADDR_3",
  "BILL_TO_CITY", "BILL_TO_STATE", "BILL_TO_ZIPCODE", "BILL_TO_COUNTRY",
  "FREIGHT_TERMS", "TERMS_DESCRIPTION", "FREE_ON_BOARD", "SHIP_VIA", "BOL_ID",
  "TERRITORY", "SHIPPED_DATE", "CUST_ORDER_ID", "CURRENCY_ID",
  "SHIP_TO_ADDR_NO", "CONTACT_FIRST_NAME", "CONTACT_LAST_NAME",
  "CONTACT_INITIAL", "CONTACT_POSITION", "CONTACT_HONORIFIC",
  "CONTACT_SALUTATION", "CONTACT_PHONE", "CONTACT_FAX", "DISCOUNT_CODE",
  "SALES_TAX_GROUP_ID", "SALESREP_ID", "VENDEDOR_NOMBRE", "ENTITY_ID",
  "TERMS_NET_TYPE", "TERMS_NET_DAYS", "TERMS_NET_DATE", "TERMS_DISC_TYPE",
  "TERMS_DISC_DAYS", "TERMS_DISC_DATE", "TERMS_DISC_PERCENT", "ORDER_DATE",
  "DESIRED_SHIP_DATE", "BACK_ORDER", "STATUS_CUSTORDER", "LAST_SHIPPED_DATE",
  "POSTING_CANDIDATE", "TOTAL_AMT_ORDERED", "TOTAL_AMT_SHIPPED",
  "EXCH_RATE_FIXED", "PROMISE_DATE", "EDI_BLANKET_FLAG", "EDI_BLANKET_NO",
  "CONTRACT_ID", "SHIPTO_ID", "WAREHOUSE_ID", "ORDER_TYPE", "CARRIER_ID",
  "ACCEPT_EARLY", "DAYS_EARLY", "DISPATCHED", "EXPIRE_DATE", "CONTACT_MOBILE",
  "CONTACT_EMAIL", "VAT_REGISTRATION", "UDF_LAYOUT_ID", "SEND_ACK",
  "AUTHORIZATION_ID", "EDI_ACCUM_CLR_DATE", "PROJECT_ID", "PRIME_CONTRACTOR",
  "SHIPPED_FROM", "ADMINISTERED_BY", "PAY_MADE_BY", "MARKED_FOR", "ORIGIN_CQA",
  "ORIGIN_ACCEPT", "DEST_CQA", "DEST_ACCEPT", "PKG_LEVEL", "ACCEPTANCE_POINT",
  "DD250_REQUIRED", "BACKORDER_FLAG", "OWNER_ID", "CONSOLIDATION_ID",
  "MARK_FOR_ID", "MARK_FOR_ADDR_NO", "COD_AMOUNT", "FREIGHT_BILL_ACCT",
  "REVISION_ID", "PACKLIST_ID", "LONG_DESCRIPTION", "ASN_ID", "ESL_REPORT_NO",
  "ESL_FILENAME", "SHIP_REASON_CD", "CUSTOMS_DOC_ID", "POOL_CODE",
  "VEHICLE_NUMBER", "INTER_CONSIGNEE", "TARE_WEIGHT", "TOTAL_NET_WEIGHT",
  "TOTAL_GROSS_WEIGHT", "SHIPPED_TIME", "EXPECTED_DEL_DATE",
  "EXPECTED_DEL_TIME", "WAYBILL_NUMBER", "TYPE", "TOTAL_AMOUNT", "PAID_AMOUNT",
  "DISCOUNT_GIVEN", "LAST_PAID_DATE", "ZERO_DATE", "USER_ID",
  "RECEIVABLE_STATUS", "PREPAY_ORDER_ID", "PREPAY_INVOICE_ID", "SELL_RATE",
  "BUY_RATE", "POSTING_DATE", "RECV_GL_ACCT_ID", "MARKED_FOR_PURGE",
  "NEW_SELL_RATE", "NEW_BUY_RATE", "PRINTED_DATE", "VAT_BOOK_CODE",
  "VAT_REPORT_NO", "VAT_FILENAME", "RCR_INVOICE_ID", "USER_EXCH_RATE",
  "COMM_PAID_AMOUNT", "VOID_DATE", "ID", "ORDER_QTY", "QTY", "DESCRIPTION",
  "UNIT_PRICE", "VAT_AMOUNT", "AMOUNT", "LINE_NO", "CUSTOMER_PART_ID",
  "STATUSCUSTORDERLIN", "PART_ID", "USER_ORDER_QTY", "SELLING_UM",
  "DESIRED_SHIP_DATE_CUSTORDERLIN", "TRADE_DISC_PERCENT", "EST_FREIGHT",
  "MISC_REFERENCE", "PRODUCT_CODE", "COMMODITY_CODE", "DRAWING_ID",
  "DRAWING_REV_NO", "GL_REVENUE_ACCT_ID", "MAT_GL_ACCT_ID", "LAB_GL_ACCT_ID",
  "BUR_GL_ACCT_ID", "SER_GL_ACCT_ID", "LAST_SHIPPED_DATE_LINE",
  "TOTAL_ACT_FREIGHT", "TOTAL_SHIPPED_QTY", "TOTAL_USR_SHIP_QTY",
  "TOTAL_AMT_SHIPPED_CUSTORDELIN", "TOTAL_AMT_ORDEREDCUSTORDERLIN",
  "PROMISE_DATE_CUSTORDERLIN", "SERVICE_CHARGE_ID", "PIECE_COUNT", "LENGTH",
  "WIDTH", "HEIGHT", "DIMENSIONS_UM", "VAT_CODE", "EDI_BLANKET_QTY",
  "EDI_BLANKET_USRQTY", "EDI_ACCUM_QTY_REL", "EDI_ACCUM_USR_REL",
  "EDI_ACCUM_QTY_REC", "EDI_ACCUM_USR_REC", "EDI_LAST_REC_DATE",
  "EDI_RELEASE_NO_CUST_ORDER_LINE", "EDI_RELEASE_DATE", "EDI_QTY_RELEASED",
  "EDI_USR_QTY_REL", "EDI_REQ_REL_DATE", "SHIPTO_ID_CUSTLIN",
  "WAREHOUSE_ID_CUSTORDERLIN", "WIP_VAS_UNIT_PRICE", "TYPECUSTORDERLIN",
  "ALLOCATED_QTY", "FULFILLED_QTY", "ACCEPT_EARLY_CUSTORDERLIN",
  "DAYS_EARLY_CUSTORDERLIN", "ORDER_TYPE_CUSTORDERLIN", "HTS_CODE",
  "ORIG_COUNTRY_ID", "EDI_ACCUM_FAB_QTY", "UDF_LAYOUT_ID_CUSTORDERLIN",
  "SEND_ACK_CUSTORDERLIN", "VAT_CATEGORY", "ITA_SPECIAL_CHARGE", "WBS_CODE",
  "WBS_CLIN", "PROJECT_ID_CUSTORDERLIN", "WBS_CONTRACT_TYPE", "EC_ID",
  "MOD_NUMBER", "MARKED_FOR_CUSTORDERLIN", "PROJ_REF_SEQ_NO", "PROJ_REF_SUB_ID"
  , "TRACE_QTY", "QA_QTY", "VAT_PERCENT", "VAT_GL_ACCT_ID", "GL_ACCOUNT_ID",
  "PACKLIST_ID_RECEIVABLE", "PACKLIST_LINE_NO", "STOCK_UM", "RECV_LINE_BINARY",
  "CUST_LINE_BINARY", "CARTON_COUNT", "SHIPPING_WEIGHT", "TRANSACTION_ID",
  "SHIPPER_LINE_UNIT_PRICE", "RECEIVABLE_LINE_NO", "RECEIVABLE_QTY",
  "RECEIVABLE_REFERENCE", "TERMS_DESCRIPTION_RECEIBABLE", "CUSTOMER_USER_1",
  "CUSTOMER_USER_2", "CUSTOMER_USER_3", "CUSTOMER_USER_4", "CUSTOMER_USER_5",
  "CUSTOMER_USER_6", "CUSTOMER_USER_7", "CUSTOMER_USER_8", "CUSTOMER_USER_9",
  "CUSTOMER_USER_10", "UUID", "FECHATIMBRADO", "ORDEN", "COMPANY_NAME",
  "COMPANY_ADDR_1", "COMPANY_ADDR_2", "COMPANY_ADDR_3", "COMPANY_CITY",
  "COMPANY_STATE", "COMPANY_ZIPCODE", "COMPANY_COUNTRY",
  "TAX_ID_NUMBER_EMPRESA", "VAT_REGISTRATION_EMPRESA", "INVOICE_DAY",
  "INVOICE_MONTH", "INVOICE_YEAR")
AS
  SELECT
    RECEIVABLE.INVOICE_ID,
    TO_CHAR(RECEIVABLE.INVOICE_DATE,'dd/mm/yyyy')
    || ' '
    || TO_CHAR(RECEIVABLE.CREATE_DATE,'hh:mm:ss') AS INVOICE_DATE ,
    CUSTOMER_ORDER.CUSTOMER_PO_REF,
    CUSTOMER.TAX_ID_NUMBER,
    CUSTOMER.ID AS CUSTOMER_ID,
    CUSTOMER.ADDR_1,
    CUSTOMER.ADDR_2,
    CUSTOMER.ADDR_3,
    CUSTOMER.CITY,
    CUSTOMER.STATE,
    CUSTOMER.ZIPCODE,
    CUSTOMER.COUNTRY,
    CUSTOMER.NAME,
    CASE
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_NAME
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_NAME
      ELSE CUSTOMER.NAME
    END AS BILL_TO_NAME,
    CASE
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_NAME
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_ADDR_1
      ELSE CUSTOMER.ADDR_1
    END AS BILL_TO_ADDR_1,
    CASE
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_NAME
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_ADDR_2
      ELSE CUSTOMER.ADDR_2
    END AS BILL_TO_ADDR_2,
    CASE
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_NAME
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_ADDR_3
      ELSE CUSTOMER.ADDR_3
    END AS BILL_TO_ADDR_3,
    CASE
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_NAME
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_CITY
      ELSE CUSTOMER.CITY
    END AS BILL_TO_CITY,
    CASE
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_NAME
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_STATE
      ELSE CUSTOMER.STATE
    END AS BILL_TO_STATE,
    CASE
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_NAME
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_ZIPCODE
      ELSE CUSTOMER.ZIPCODE
    END AS BILL_TO_ZIPCODE,
    CASE
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_NAME
      WHEN CUSTOMER.BILL_TO_NAME IS NOT NULL
      THEN CUSTOMER.BILL_TO_COUNTRY
      ELSE CUSTOMER.COUNTRY
    END                          AS BILL_TO_COUNTRY,
    RECEIVABLE.FREIGHT_TERMS     AS FREIGHT_TERMS,
    RECEIVABLE.TERMS_DESCRIPTION AS TERMS_DESCRIPTION ,
    CUSTOMER_ORDER.FREE_ON_BOARD AS FREE_ON_BOARD,
    SHIPPER.SHIP_VIA             AS SHIP_VIA ,
    SHIPPER.BOL_ID,
    CUSTOMER_ORDER.TERRITORY,
    SHIPPER.SHIPPED_DATE,
    SHIPPER.CUST_ORDER_ID,
    RECEIVABLE.CURRENCY_ID,
    CUSTOMER_ORDER.SHIP_TO_ADDR_NO,
    CUSTOMER_ORDER.CONTACT_FIRST_NAME,
    CUSTOMER_ORDER.CONTACT_LAST_NAME,
    CUSTOMER_ORDER.CONTACT_INITIAL,
    CUSTOMER_ORDER.CONTACT_POSITION,
    CUSTOMER_ORDER.CONTACT_HONORIFIC,
    CUSTOMER_ORDER.CONTACT_SALUTATION,
    CUSTOMER_ORDER.CONTACT_PHONE,
    CUSTOMER_ORDER.CONTACT_FAX,
    CUSTOMER_ORDER.DISCOUNT_CODE,
    SHIPPER.SALES_TAX_GROUP_ID AS SALES_TAX_GROUP_ID,
    RECEIVABLE.SALESREP_ID     AS SALESREP_ID,
    (
      SELECT
        NAME
      FROM
        SALES_REP
      WHERE
        (
          ID = NVL(RECEIVABLE.SALESREP_ID, CUSTOMER_ORDER.SALESREP_ID)
        )
    ) AS VENDEDOR_NOMBRE,
    CUSTOMER_ORDER.ENTITY_ID,
    NVL(RECEIVABLE.TERMS_NET_TYPE, CUSTOMER_ORDER.TERMS_NET_TYPE) AS
    TERMS_NET_TYPE,
    NVL(RECEIVABLE.TERMS_NET_DAYS, CUSTOMER_ORDER.TERMS_NET_DAYS) AS
    TERMS_NET_DAYS,
    NVL(RECEIVABLE.TERMS_NET_DATE, CUSTOMER_ORDER.TERMS_NET_DATE) AS
    TERMS_NET_DATE,
    NVL(RECEIVABLE.TERMS_DISC_TYPE, CUSTOMER_ORDER.TERMS_DISC_TYPE) AS
    TERMS_DISC_TYPE,
    NVL(RECEIVABLE.TERMS_DISC_DAYS, CUSTOMER_ORDER.TERMS_DISC_DAYS) AS
    TERMS_DISC_DAYS,
    NVL(RECEIVABLE.TERMS_DISC_DATE, CUSTOMER_ORDER.TERMS_DISC_DATE) AS
    TERMS_DISC_DATE,
    NVL(RECEIVABLE.TERMS_DISC_PERCENT, CUSTOMER_ORDER.TERMS_DISC_PERCENT) AS
    TERMS_DISC_PERCENT,
    CUSTOMER_ORDER.ORDER_DATE,
    CUSTOMER_ORDER.DESIRED_SHIP_DATE,
    CUSTOMER_ORDER.BACK_ORDER,
    CUSTOMER_ORDER.STATUS AS STATUS_CUSTORDER,
    CUSTOMER_ORDER.LAST_SHIPPED_DATE,
    CUSTOMER_ORDER.POSTING_CANDIDATE,
    CUSTOMER_ORDER.TOTAL_AMT_ORDERED,
    CUSTOMER_ORDER.TOTAL_AMT_SHIPPED,
    CUSTOMER_ORDER.EXCH_RATE_FIXED,
    CUSTOMER_ORDER.PROMISE_DATE,
    CUSTOMER_ORDER.EDI_BLANKET_FLAG,
    CUSTOMER_ORDER.EDI_BLANKET_NO,
    CUSTOMER_ORDER.CONTRACT_ID,
    CUSTOMER_ORDER.SHIPTO_ID,
    CUSTOMER_ORDER.WAREHOUSE_ID,
    CUSTOMER_ORDER.ORDER_TYPE,
    CUSTOMER_ORDER.CARRIER_ID,
    CUSTOMER_ORDER.ACCEPT_EARLY,
    CUSTOMER_ORDER.DAYS_EARLY,
    CUSTOMER_ORDER.DISPATCHED,
    CUSTOMER_ORDER.EXPIRE_DATE,
    CUSTOMER_ORDER.CONTACT_MOBILE,
    CUSTOMER_ORDER.CONTACT_EMAIL,
    CUSTOMER.VAT_REGISTRATION,
    CUSTOMER_ORDER.UDF_LAYOUT_ID,
    CUSTOMER_ORDER.SEND_ACK,
    CUSTOMER_ORDER.AUTHORIZATION_ID,
    CUSTOMER_ORDER.EDI_ACCUM_CLR_DATE,
    CUSTOMER_ORDER.PROJECT_ID,
    CUSTOMER_ORDER.PRIME_CONTRACTOR,
    CUSTOMER_ORDER.SHIPPED_FROM,
    CUSTOMER_ORDER.ADMINISTERED_BY,
    CUSTOMER_ORDER.PAY_MADE_BY,
    CUSTOMER_ORDER.MARKED_FOR,
    CUSTOMER_ORDER.ORIGIN_CQA,
    CUSTOMER_ORDER.ORIGIN_ACCEPT,
    CUSTOMER_ORDER.DEST_CQA,
    CUSTOMER_ORDER.DEST_ACCEPT,
    CUSTOMER_ORDER.PKG_LEVEL,
    CUSTOMER_ORDER.ACCEPTANCE_POINT,
    CUSTOMER_ORDER.DD250_REQUIRED,
    CUSTOMER_ORDER.BACKORDER_FLAG,
    CUSTOMER_ORDER.OWNER_ID,
    CUSTOMER_ORDER.CONSOLIDATION_ID,
    CUSTOMER_ORDER.MARK_FOR_ID,
    CUSTOMER_ORDER.MARK_FOR_ADDR_NO,
    CUSTOMER_ORDER.COD_AMOUNT,
    CUSTOMER_ORDER.FREIGHT_BILL_ACCT,
    CUSTOMER_ORDER.REVISION_ID,
    SHIPPER.PACKLIST_ID,
    SHIPPER.LONG_DESCRIPTION,
    SHIPPER.ASN_ID,
    SHIPPER.ESL_REPORT_NO,
    SHIPPER.ESL_FILENAME,
    SHIPPER.SHIP_REASON_CD,
    SHIPPER.CUSTOMS_DOC_ID,
    SHIPPER.POOL_CODE,
    SHIPPER.VEHICLE_NUMBER,
    SHIPPER.INTER_CONSIGNEE,
    SHIPPER.TARE_WEIGHT,
    SHIPPER.TOTAL_NET_WEIGHT,
    SHIPPER.TOTAL_GROSS_WEIGHT,
    SHIPPER.SHIPPED_TIME,
    SHIPPER.EXPECTED_DEL_DATE,
    SHIPPER.EXPECTED_DEL_TIME,
   (SELECT INVOICE_ID FROM CASH_RECEIPT_LINE WHERE ROWNUM=1 AND CHECK_ID=(SELECT CRL.CHECK_ID FROM CASH_RECEIPT_LINE CRL WHERE CRL.INVOICE_ID=RECEIVABLE.INVOICE_ID) AND INVOICE_ID<>RECEIVABLE.INVOICE_ID) as WAYBILL_NUMBER,
    RECEIVABLE.TYPE,
    RECEIVABLE.TOTAL_AMOUNT,
    RECEIVABLE.PAID_AMOUNT,
    RECEIVABLE.DISCOUNT_GIVEN,
    RECEIVABLE.LAST_PAID_DATE,
    RECEIVABLE.ZERO_DATE,
    RECEIVABLE.USER_ID,
    RECEIVABLE.STATUS AS RECEIVABLE_STATUS,
    RECEIVABLE.PREPAY_ORDER_ID,
    RECEIVABLE.PREPAY_INVOICE_ID,
    RECEIVABLE.SELL_RATE,
    RECEIVABLE.BUY_RATE,
    RECEIVABLE.POSTING_DATE,
    RECEIVABLE.RECV_GL_ACCT_ID,
    RECEIVABLE.MARKED_FOR_PURGE,
    RECEIVABLE.NEW_SELL_RATE,
    RECEIVABLE.NEW_BUY_RATE,
    RECEIVABLE.PRINTED_DATE,
    RECEIVABLE.VAT_BOOK_CODE,
    RECEIVABLE.VAT_REPORT_NO,
    RECEIVABLE.VAT_FILENAME,
    RECEIVABLE.RCR_INVOICE_ID,
    RECEIVABLE.USER_EXCH_RATE,
    RECEIVABLE.COMM_PAID_AMOUNT,
    RECEIVABLE.VOID_DATE ,
    PART.ID,
    CUST_ORDER_LINE.ORDER_QTY,
    NVL(RECEIVABLE_LINE.QTY, 1)                      AS QTY,
    NVL(PART.DESCRIPTION, RECEIVABLE_LINE.REFERENCE) AS DESCRIPTION,
    CUST_ORDER_LINE.UNIT_PRICE,
    RECEIVABLE_LINE.VAT_AMOUNT,
    RECEIVABLE_LINE.AMOUNT,
    NVL(CUST_ORDER_LINE.LINE_NO, RECEIVABLE_LINE.LINE_NO)          AS LINE_NO,
    NVL(CUST_ORDER_LINE.CUSTOMER_PART_ID, CUST_ORDER_LINE.PART_ID) AS
    CUSTOMER_PART_ID,
    CUST_ORDER_LINE.LINE_STATUS AS STATUSCUSTORDERLIN,
    CUST_ORDER_LINE.PART_ID,
    CUST_ORDER_LINE.USER_ORDER_QTY,
    CUST_ORDER_LINE.SELLING_UM,
    CUST_ORDER_LINE.DESIRED_SHIP_DATE AS DESIRED_SHIP_DATE_CUSTORDERLIN,
    CUST_ORDER_LINE.TRADE_DISC_PERCENT,
    CUST_ORDER_LINE.EST_FREIGHT,
    CUST_ORDER_LINE.MISC_REFERENCE,
    CUST_ORDER_LINE.PRODUCT_CODE,
    CUST_ORDER_LINE.COMMODITY_CODE,
    CUST_ORDER_LINE.DRAWING_ID,
    CUST_ORDER_LINE.DRAWING_REV_NO,
    CUST_ORDER_LINE.GL_REVENUE_ACCT_ID,
    CUST_ORDER_LINE.MAT_GL_ACCT_ID,
    CUST_ORDER_LINE.LAB_GL_ACCT_ID,
    CUST_ORDER_LINE.BUR_GL_ACCT_ID,
    CUST_ORDER_LINE.SER_GL_ACCT_ID,
    CUST_ORDER_LINE.LAST_SHIPPED_DATE AS LAST_SHIPPED_DATE_LINE,
    CUST_ORDER_LINE.TOTAL_ACT_FREIGHT,
    CUST_ORDER_LINE.TOTAL_SHIPPED_QTY,
    CUST_ORDER_LINE.TOTAL_USR_SHIP_QTY,
    CUST_ORDER_LINE.TOTAL_AMT_SHIPPED AS TOTAL_AMT_SHIPPED_CUSTORDELIN,
    CUST_ORDER_LINE.TOTAL_AMT_ORDERED AS TOTAL_AMT_ORDEREDCUSTORDERLIN,
    CUST_ORDER_LINE.PROMISE_DATE      AS PROMISE_DATE_CUSTORDERLIN,
    CUST_ORDER_LINE.SERVICE_CHARGE_ID,
    CUST_ORDER_LINE.PIECE_COUNT,
    CUST_ORDER_LINE.LENGTH,
    CUST_ORDER_LINE.WIDTH,
    CUST_ORDER_LINE.HEIGHT,
    CUST_ORDER_LINE.DIMENSIONS_UM,
    NVL(RECEIVABLE_LINE.VAT_CODE, CUST_ORDER_LINE.VAT_CODE) AS VAT_CODE,
    CUST_ORDER_LINE.EDI_BLANKET_QTY,
    CUST_ORDER_LINE.EDI_BLANKET_USRQTY,
    CUST_ORDER_LINE.EDI_ACCUM_QTY_REL,
    CUST_ORDER_LINE.EDI_ACCUM_USR_REL,
    CUST_ORDER_LINE.EDI_ACCUM_QTY_REC,
    CUST_ORDER_LINE.EDI_ACCUM_USR_REC,
    CUST_ORDER_LINE.EDI_LAST_REC_DATE,
    CUST_ORDER_LINE.EDI_RELEASE_NO AS EDI_RELEASE_NO_CUST_ORDER_LINE,
    CUST_ORDER_LINE.EDI_RELEASE_DATE,
    CUST_ORDER_LINE.EDI_QTY_RELEASED,
    CUST_ORDER_LINE.EDI_USR_QTY_REL,
    CUST_ORDER_LINE.EDI_REQ_REL_DATE,
    CUST_ORDER_LINE.SHIPTO_ID    AS SHIPTO_ID_CUSTLIN,
    CUST_ORDER_LINE.WAREHOUSE_ID AS WAREHOUSE_ID_CUSTORDERLIN,
    CUST_ORDER_LINE.WIP_VAS_UNIT_PRICE,
    CUST_ORDER_LINE.TYPE AS TYPECUSTORDERLIN,
    CUST_ORDER_LINE.ALLOCATED_QTY,
    CUST_ORDER_LINE.FULFILLED_QTY,
    CUST_ORDER_LINE.ACCEPT_EARLY                                          AS ACCEPT_EARLY_CUSTORDERLIN,
    CUST_ORDER_LINE.DAYS_EARLY                                            AS DAYS_EARLY_CUSTORDERLIN,
    CUST_ORDER_LINE.ORDER_TYPE                                            AS ORDER_TYPE_CUSTORDERLIN,
    NVL(RECEIVABLE_LINE.HTS_CODE, CUST_ORDER_LINE.HTS_CODE)               AS HTS_CODE,
    NVL(RECEIVABLE_LINE.ORIG_COUNTRY_ID, CUST_ORDER_LINE.ORIG_COUNTRY_ID) AS
    ORIG_COUNTRY_ID,
    CUST_ORDER_LINE.EDI_ACCUM_FAB_QTY,
    CUST_ORDER_LINE.UDF_LAYOUT_ID                                   AS UDF_LAYOUT_ID_CUSTORDERLIN,
    CUST_ORDER_LINE.SEND_ACK                                        AS SEND_ACK_CUSTORDERLIN,
    NVL(RECEIVABLE_LINE.vat_category, CUST_ORDER_LINE.vat_category) AS
    vat_category,
    CUST_ORDER_LINE.ITA_SPECIAL_CHARGE,
    CUST_ORDER_LINE.WBS_CODE,
    CUST_ORDER_LINE.WBS_CLIN,
    CUST_ORDER_LINE.PROJECT_ID AS PROJECT_ID_CUSTORDERLIN,
    CUST_ORDER_LINE.WBS_CONTRACT_TYPE,
    CUST_ORDER_LINE.EC_ID,
    CUST_ORDER_LINE.MOD_NUMBER,
    CUST_ORDER_LINE.MARKED_FOR AS MARKED_FOR_CUSTORDERLIN,
    CUST_ORDER_LINE.PROJ_REF_SEQ_NO,
    CUST_ORDER_LINE.PROJ_REF_SUB_ID,
    CUST_ORDER_LINE.TRACE_QTY,
    CUST_ORDER_LINE.QA_QTY,
    RECEIVABLE_LINE.VAT_PERCENT,
    RECEIVABLE_LINE.VAT_GL_ACCT_ID,
    RECEIVABLE_LINE.GL_ACCOUNT_ID,
    RECEIVABLE_LINE.PACKLIST_ID AS PACKLIST_ID_RECEIVABLE,
    RECEIVABLE_LINE.PACKLIST_LINE_NO,
    PART.STOCK_UM,
    (
      SELECT
        UTL_RAW.CAST_TO_VARCHAR2 (BITS)
      FROM
        RECV_LINE_BINARY
      WHERE
        rownum                         =1
      AND RECV_LINE_BINARY.INVOICE_ID  =RECEIVABLE.INVOICE_ID
      AND RECV_LINE_BINARY.RECV_LINE_NO=RECEIVABLE_LINE.LINE_NO
    ) AS RECV_LINE_BINARY,
    (
      SELECT
        UTL_RAW.CAST_TO_VARCHAR2 (BITS)
      FROM
        RECEIVABLE_BINARY
      WHERE
        rownum                        =1
      AND RECEIVABLE_BINARY.INVOICE_ID=RECEIVABLE.INVOICE_ID
    )AS CUST_LINE_BINARY,
    SHIPPER_LINE.CARTON_COUNT,
    SHIPPER_LINE.SHIPPING_WEIGHT,
    SHIPPER_LINE.TRANSACTION_ID,
    SHIPPER_LINE.UNIT_PRICE              AS SHIPPER_LINE_UNIT_PRICE,
    RECEIVABLE_LINE.LINE_NO              AS RECEIVABLE_LINE_NO,
    RECEIVABLE_LINE.QTY                  AS RECEIVABLE_QTY,
    RECEIVABLE_LINE.REFERENCE            AS RECEIVABLE_REFERENCE,
    NVL(RECEIVABLE.TERMS_DESCRIPTION,'') AS TERMS_DESCRIPTION_RECEIBABLE,
    CUSTOMER.USER_1                      AS CUSTOMER_USER_1,
    CUSTOMER.USER_2 AS CUSTOMER_USER_2 ,
    CUSTOMER.USER_3 AS CUSTOMER_USER_3,
    CUSTOMER.USER_4 AS CUSTOMER_USER_4,
    CUSTOMER.USER_5 AS CUSTOMER_USER_5,
    CUSTOMER.USER_6 AS CUSTOMER_USER_6,
    CUSTOMER.USER_7 AS CUSTOMER_USER_7,
    CUSTOMER.USER_8 AS CUSTOMER_USER_8,
    CUSTOMER.USER_9 AS CUSTOMER_USER_9,
    CUSTOMER.USER_9 AS CUSTOMER_USER_10,
    (
      SELECT
        UUID
      FROM
        FXINV000
      WHERE
        rownum              =1
      AND FXINV000.ID=RECEIVABLE.INVOICE_ID
    ) AS UUID ,
    (
      SELECT
        FechaTimbrado
      FROM
        FXINV000
      WHERE
        rownum              =1
      AND FXINV000.ID=RECEIVABLE.INVOICE_ID
    )                 AS FechaTimbrado ,
    CUSTOMER_ORDER.ID AS ORDEN ,
    (
      SELECT
        COMPANY_NAME
      FROM
        APPLICATION_GLOBAL
      WHERE
        rownum=1
    ) AS COMPANY_NAME ,
    (
      SELECT
        COMPANY_ADDR_1
      FROM
        APPLICATION_GLOBAL
      WHERE
        rownum=1
    ) AS COMPANY_ADDR_1 ,
    (
      SELECT
        COMPANY_ADDR_2
      FROM
        APPLICATION_GLOBAL
      WHERE
        rownum=1
    ) AS COMPANY_ADDR_2 ,
    (
      SELECT
        COMPANY_ADDR_3
      FROM
        APPLICATION_GLOBAL
      WHERE
        rownum=1
    ) AS COMPANY_ADDR_3 ,
    (
      SELECT
        COMPANY_CITY
      FROM
        APPLICATION_GLOBAL
      WHERE
        rownum=1
    ) AS COMPANY_CITY ,
    (
      SELECT
        COMPANY_STATE
      FROM
        APPLICATION_GLOBAL
      WHERE
        rownum=1
    ) AS COMPANY_STATE ,
    (
      SELECT
        COMPANY_ZIPCODE
      FROM
        APPLICATION_GLOBAL
      WHERE
        rownum=1
    ) AS COMPANY_ZIPCODE ,
    (
      SELECT
        COMPANY_COUNTRY
      FROM
        APPLICATION_GLOBAL
      WHERE
        rownum=1
    ) AS COMPANY_COUNTRY ,
    (
      SELECT
        TAX_ID_NUMBER
      FROM
        APPLICATION_GLOBAL
      WHERE
        rownum=1
    ) AS TAX_ID_NUMBER_EMPRESA ,
    (
      SELECT
        VAT_REGISTRATION
      FROM
        APPLICATION_GLOBAL
      WHERE
        rownum=1
    )                                       AS VAT_REGISTRATION_EMPRESA ,
    TO_CHAR(RECEIVABLE.INVOICE_DATE,'dd')   AS INVOICE_DAY,
    TO_CHAR(RECEIVABLE.INVOICE_DATE,'mm')   AS INVOICE_MONTH,
    TO_CHAR(RECEIVABLE.INVOICE_DATE,'yyyy') AS INVOICE_YEAR
  FROM
    SHIPPER_LINE
  RIGHT OUTER JOIN CUSTOMER
  INNER JOIN RECEIVABLE
  ON
    CUSTOMER.ID = RECEIVABLE.CUSTOMER_ID
  INNER JOIN RECEIVABLE_LINE
  ON
    RECEIVABLE.INVOICE_ID = RECEIVABLE_LINE.INVOICE_ID
  ON
    SHIPPER_LINE.PACKLIST_ID = RECEIVABLE_LINE.PACKLIST_ID
  AND SHIPPER_LINE.LINE_NO   = RECEIVABLE_LINE.PACKLIST_LINE_NO
  LEFT OUTER JOIN SHIPPER
  ON
    SHIPPER_LINE.PACKLIST_ID = SHIPPER.PACKLIST_ID
  LEFT OUTER JOIN CUST_ORDER_LINE
  INNER JOIN CUSTOMER_ORDER
  ON
    CUST_ORDER_LINE.CUST_ORDER_ID = CUSTOMER_ORDER.ID
  ON
    SHIPPER_LINE.CUST_ORDER_LINE_NO = CUST_ORDER_LINE.LINE_NO
  AND SHIPPER_LINE.CUST_ORDER_ID    = CUST_ORDER_LINE.CUST_ORDER_ID
  LEFT OUTER JOIN PART
  ON
    CUST_ORDER_LINE.PART_ID = PART.ID;